{
    attributes = (
        {
            columnName = "C_BUDGET"; 
            externalType = VARCHAR2; 
            name = cBudget; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_DEBUT"; 
            externalType = DATE; 
            name = dDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN"; 
            externalType = DATE; 
            name = dFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "ID_EMPLOI"; 
            externalType = NUMBER; 
            name = idEmploi; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_EMPLOI_NATURE_BUDGET"; 
            externalType = NUMBER; 
            name = idEmploiNatureBudget; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        cBudget, 
        dCreation, 
        dDebut, 
        dFin, 
        dModification, 
        idEmploi, 
        idEmploiNatureBudget, 
        persIdCreation, 
        persIdModification
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOMangueEmploiNatureBudget"; 
    classProperties = (
        cBudget, 
        dCreation, 
        dDebut, 
        dFin, 
        dModification, 
        idEmploi, 
        persIdCreation, 
        persIdModification, 
        toMangueEmploi, 
        toNatureBudget
    ); 
    externalName = "MANGUE.EMPLOI_NATURE_BUDGET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cBudget, 
            dCreation, 
            dDebut, 
            dModification, 
            idEmploi, 
            toMangueEmploi, 
            toNatureBudget
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.mangue.EOMangueEmploiNatureBudget"; 
    }; 
    name = MangueEmploiNatureBudget; 
    primaryKeyAttributes = (idEmploiNatureBudget); 
    relationships = (
        {
            destination = MangueEmploi; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idEmploi; sourceAttribute = idEmploi; }); 
            name = toMangueEmploi; 
        }, 
        {
            destination = NatureBudget; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cBudget; sourceAttribute = cBudget; }); 
            name = toNatureBudget; 
        }
    ); 
}
